/*!
**    Notice:  Gubby Copyright 2003 Christian Stigen Larsen
**    Author:  <csl@sublevel3.org>
**
**    This file is part of Gubby.
**
**    $Id: initcurs.h,v 1.13 2003/04/01 10:32:54 cslsublevel3org Exp $
**
**    Gubby is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    Gubby is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with Gubby; if not, write to the Free Software
**    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*/
#ifndef USE_SLANG
#include <ncurses.h>
#else
#include <slang/slcurses.h>
#endif

// curses crashes with STL on some compilers
#undef erase
#undef move
#undef clear

#include <string>

//! Curses resource-aquisition-is-initialization
class initcurs {
	bool colors;
public:
	initcurs();
	~initcurs();

	inline bool initcurs::hascolors() const {
		return colors;
	}

	void init();
	int shell(const std::string& s);
};
