/*!
**    Notice:  Gubby Copyright 2003 Christian Stigen Larsen
**    Author:  <csl@sublevel3.org>
**
**    $Id: filechange.cpp,v 1.2 2003/04/02 14:09:54 cslsublevel3org Exp $
**
**    This file is part of Gubby.
**
**    Gubby is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    Gubby is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with Gubby; if not, write to the Free Software
**    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*/

#include "filechange.h"

filechange::filechange(const std::string& filename) : file(filename) {
	stat(file.c_str(), &f);
}

bool filechange::changed() {

	struct stat now;
		
	if ( !stat(file.c_str(), &now) )
		//if ( now.st_mtime != f.st_mtime ) { // modified time
		if ( now.st_ctime != f.st_ctime ) { // change time
			f = now;
			return true;
		}

	return false;
}
