/*!
**    Notice:  Gubby Copyright 2003 Christian Stigen Larsen
**    Author:  <csl@sublevel3.org>
**
**    $Id: gubbycfg.h,v 1.10 2004/12/15 11:41:15 cslsublevel3org Exp $
**
**    This file is part of Gubby.
**
**    Gubby is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    Gubby is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with Gubby; if not, write to the Free Software
**    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*/

#include <string>
#include "versioninfo.h"

class gubbycfg : public versioninfo {
public:
	gubbycfg();
	
	std::string mailexec;
	std::string mailprefix;
	std::string maildir;
	std::string mailcompose;
	std::string logfile;
	bool loop;
	bool clearlog;
	bool verbose;
	int expanded;
	bool widelisting;
	bool beep;
	bool nobeepdevnull;
	bool hidedevnull;

	void printversionline() const;
	void printversion() const;
	void printlicense() const;
	void printauthor() const;
	void printurl() const;
	void clearlogfile() const;
};
