/*!
**    Notice:  Gubby Copyright 2003 Christian Stigen Larsen
**    Author:  <csl@sublevel3.org>
**
**    $Id: gubbyopts.h,v 1.14 2003/04/01 08:13:19 cslsublevel3org Exp $
**
**    This file is part of Gubby.
**
**    Gubby is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    Gubby is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with Gubby; if not, write to the Free Software
**    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*/

#include "gubbycfg.h"
#include "getopts.h"

class gubbyopts : public gubbycfg, private getopts {
public:
	gubbyopts(int argc, char* argv[]);
	void checkopts();

private:
	const char* progname;
	const char* optmask;
	static struct goption options[]; 
	static const char* helpopts[];

	inline void gotnonopt(const char* arg) {
		logfile = arg;
	}

	void gotopt(const char ch, const char* value);
	void printhelp_() const;
};
