/*!
**    Notice:  Gubby Copyright 2003 Christian Stigen Larsen
**    Author:  <csl@sublevel3.org>
**
**    $Id: guess.h,v 1.6 2003/03/14 13:58:55 cslsublevel3org Exp $
**
**    This file is part of Gubby.
**
**    Gubby is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    Gubby is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with Gubby; if not, write to the Free Software
**    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*/

#include <string>
#include "grep.h"

/*!
    Try to find name of procmail logfile by peeking in ~/.procmailrc
    Note that this function is bugprone and incomplete. Feel free to freshen up! :)
*/
class guess : private grep {
	const std::string home;
	std::string procmaillog;

	void found(const std::string& line, const int triggerno);

public:
	guess();

	inline const std::string guess::str() const {
		return procmaillog;
	}

private:
	std::string chop_(std::string line, const std::string& needle) const;
};
