/*!
**    Notice:  Gubby Copyright 2003 Christian Stigen Larsen
**    Author:  <csl@sublevel3.org>
**
**    $Id: getopts.cpp,v 1.4 2003/04/01 17:42:54 cslsublevel3org Exp $
**
**    This file is part of Gubby.
**
**    Gubby is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    Gubby is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with Gubby; if not, write to the Free Software
**    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*/

#include "getopts.h"
#include <unistd.h> // getopt
#include <stdlib.h> // optind (required on solaris)

void getopts::parse(int argc, char* argv[], const char* optmask) {
	optind = 1; // skip program name
	char ch(0);

	while ( (ch = getopt(argc, argv, optmask)) != -1 )
		gotopt(ch, optarg);

	while ( optind < argc )
		gotnonopt(argv[optind++]);
}
